const mongoose = require("mongoose");

const appointmentSchema = new mongoose.Schema({
  patientId: { type: mongoose.Schema.Types.ObjectId, ref: "Patient", required: true },
  dateShamsi: { type: String, required: true }, // مثلاً "1403-01-28"
  time: { type: String, required: true },       // مثلاً "14:30"
  type: { type: String, enum: ["Injection", "Laser"], required: true },
  status: { type: String, enum: ["Scheduled", "Done", "Canceled"], default: "Scheduled" }
}, { timestamps: true });

const Appointment = mongoose.model("Appointment", appointmentSchema);

module.exports = Appointment;
